Crear una URL de carga
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"size": 1
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads"
payload = {
"entity": "<string>",
"name": "<string>",
"size": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity' => '<string>',
'name' => '<string>',
'size' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entity: '<string>', name: '<string>', size: 1})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"contentType": "<string>"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Importaciones
Crear una URL de carga
Da una URL a la que subir con un PUT un archivo CSV o Excel para una importación; completa la carga cuando hayas enviado sus bytes.
POST
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
imports
/
uploads
Crear una URL de carga
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"size": 1
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads"
payload = {
"entity": "<string>",
"name": "<string>",
"size": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity' => '<string>',
'name' => '<string>',
'size' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entity: '<string>', name: '<string>', size: 1})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"contentType": "<string>"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
Cuerpo
application/json
¿Esta página le ayudó?